Commit 281478f33c397d8fefe34073026ae9e8cd67e61c

Authored by Silvan Calarco
1 parent f6d6a160c4
Exists in master

Global sync with openmamba target

Showing 13 changed files with 58 additions and 19 deletions Side-by-side Diff

... ... @@ -79,6 +79,7 @@
79 79 ifeq ($(ARCH),i586)
80 80 # xorg
81 81 xorglibGL = libGL-Mesa-dri
  82 +libatiuki.so.1 = xorg-drv-video-fglrx
82 83 # libGL-fglrx-X11 libGL-nvidia-X11
83 84 xorglibglx = xorg-ext-libglx
84 85 # xorg-ext-libglx-nvidia
... ... @@ -98,6 +99,7 @@
98 99 ifeq ($(ARCH),x86_64)
99 100 # xorg
100 101 xorglibGL = libGL-Mesa-dri
  102 +libatiuki.so.1[][64bit] = xorg-drv-video-fglrx
101 103 # libGL-nvidia-X11 libGL-fglrx-X11
102 104 xorglibglx = xorg-ext-libglx
103 105 # xorg-ext-libglx-nvidia
... ... @@ -2,12 +2,10 @@
2 2 [ -e $TARGETDIR/platforms/$PLATFORM/pre.inc.sh ] && . $TARGETDIR/platforms/$PLATFORM/pre.inc.sh
3 3  
4 4 [ "$PRODUCT_NAME" ] && \
5   - MEDIA_NAME=`PLATFORM=$PRODUCT_NAME media_name` ||
6   - MEDIA_NAME=`media_name`
  5 + MEDIA_NAME=`PLATFORM=$PRODUCT_NAME VARIANT=$VARIANT medium_name` ||
  6 + MEDIA_NAME=`VARIANT=$VARIANT medium_name`
7 7  
8 8 #if [ "$FORCE" = "1" -o ! -e "$LOCALSTATEDIR/$MEDIA_NAME" ]; then
9   -
10   -[ $MEDIA = "raw" ] && create_raw_filesystem $LOCALSTATEDIR/$MEDIA_NAME $MEDIA_SIZE 1024k $ROOTFS
11 9  
12 10 #create_livecd
13 11 initialize_root_dir
platforms/diskimg/Makefile
  1 +$(MAKEDIST_TARGET)-diskimg: openmamba-install-scripts
  2 +$(MAKEDIST_TARGET)-diskimg-en:
  3 +$(MAKEDIST_TARGET)-diskimg-it:
platforms/diskimg/post.inc.sh
  1 +if [ "$MODE" = "rootfsinstall" ]; then
  2 + /usr/sbin/rootfsinstall -y $ROOTFSINSTALL_ADD $LOOPDEV \
  3 + $LOCALSTATEDIR/openmamba-rootfs-light-$LANGUAGE.$DEVICEARCH.tar.xz || \
  4 + { retcode=$?
  5 + echo "$makedist_me: fatal error, aborting installation" >&2
  6 + echo "$makedist_me: exit code was: $retcode" >&2
  7 + echo "$makedist_me: sleeping 600 seconds"
  8 + sleep 600
  9 + { (exit 1); exit 1; }; }
  10 +elif [ "$MODE" = "usbinstall" ]; then
  11 + # FIXME: current hosting system requirements:
  12 + # grub-efi.i586 mactel-boot
  13 + /usr/sbin/usbinstall $LOOPDEV $LOCALSTATEDIR/openmamba-livecd-$LANGUAGE.$ARCH.iso -y || \
  14 + { retcode=$?
  15 + echo "$makedist_me: fatal error, aborting installation" >&2
  16 + echo "$makedist_me: exit code was: $retcode" >&2
  17 + echo "$makedist_me: sleeping 600 seconds"
  18 + sleep 600
  19 + { (exit 1); exit 1; }; }
  20 +else
  21 + echo "$makedist_me: MODE is undefined; aborting."
  22 + { (exit 1); exit 1; };
  23 +fi
platforms/diskimg/pre.inc.sh
  1 +case $VARIANT in
  2 + bananapi) MODE=rootfsinstall; ROOTFSINSTALL_ADD="-bpi"; DEVICEARCH=arm; MEDIA_SIZE=1920 ;;
  3 + raspberrypi) MODE=rootfsinstall; ROOTFSINSTALL_ADD="-rpi"; DEVICEARCH=arm; MEDIA_SIZE=1920 ;;
  4 + cubox) MODE=rootfsinstall; ROOTFSINSTALL_ADD="-cubox" DEVICEARCH=arm; MEDIA_SIZE=1920 ;;
  5 + livecd) MODE=usbinstall; ROOTFSINSTALL_ADD= ;;
  6 + *) MODE=rootfsinstall; ROOTFSINSTALL_ADD= ; DEVICEARCH=$ARCH ;;
  7 +esac
platforms/diskimg/settings.inc
  1 +# raw disk image
  2 +MEDIA=raw
  3 +MEDIA_SIZE=3584
  4 +
  5 +KERNEL_IGNORE=1
  6 +DISTROMATIC=off
  7 +
  8 +if [ "$SUBPLATFORM" ]; then
  9 + PRODUCT_NAME=light
  10 + VARIANT=$SUBPLATFORM
  11 + SUBPLATFORM=
  12 +fi
platforms/livecd-gnome-root/Makefile
... ... @@ -26,7 +26,7 @@
26 26 chromium totem-mozilla-plugin \
27 27 macbook-tools livecd-tools \
28 28 Mesa-tools driconf parted testdisk \
29   - samba-server \
  29 + samba-server vixie-cron logrotate \
30 30 smart-gui laptop-mode-tools mambatray \
31 31 $(MAKEDIST_TARGET)-livecd-gnome
32 32  
platforms/livecd-light-root/Makefile
... ... @@ -2,7 +2,7 @@
2 2 ppp minicom locales mc alsa-utils \
3 3 man-db curl zip unzip iptables iproute wpa_supplicant mtd-utils nfs-utils \
4 4 openssh-clients binutils telnet ftp debianutils diffutils bluez traceroute \
5   - lxde timezone sudo \
  5 + lxde timezone sudo vixie-cron logrotate \
6 6 openobex liblame expect prelink NetworkManager ModemManager \
7 7 network-manager-applet Mesa-tools \
8 8 x11vnc xorg-server xorg-drv-video-fbdev xorg-drv-input-evdev xorg-drv-input-keyboard \
... ... @@ -21,7 +21,7 @@
21 21 chromium totem-mozilla-plugin \
22 22 livecd-tools \
23 23 Mesa-tools driconf parted testdisk \
24   - samba-server \
  24 + samba-server vixie-cron logrotate \
25 25 smart-gui cpufreqd mambatray \
26 26 $(MAKEDIST_TARGET)-livecd-light
27 27  
platforms/livecd-root/Makefile
... ... @@ -10,7 +10,7 @@
10 10 xorg-drv-input-synaptics xorg-apps-extra xterm \
11 11 ttf-freefont liberation-fonts-ttf \
12 12 gparted ntfs-3g libdvdcss \
13   - chromium \
  13 + chromium vixie-cron logrotate \
14 14 macbook-tools livecd-tools \
15 15 Mesa-tools driconf parted testdisk \
16 16 samba-server \
platforms/livedvd-root/Makefile
... ... @@ -10,7 +10,7 @@
10 10 xorg-drv-input-synaptics xorg-apps-extra xterm \
11 11 ttf-freefont liberation-fonts-ttf \
12 12 gparted ntfs-3g libdvdcss \
13   - chromium kpartsplugin \
  13 + chromium kpartsplugin vixie-cron logrotate \
14 14 macbook-tools livecd-tools gdb \
15 15 Mesa-tools driconf parted testdisk samba-server \
16 16 smart-gui cpufreqd mambatray \
platforms/livedvd/settings.inc
... ... @@ -10,7 +10,7 @@
10 10 elif [ "$ARCH" = "x86_64" ]; then
11 11 KERNEL_EXTRAVER=mamba-x86_64
12 12 KERNEL_PLATFORM=""
13   - #KERNEL_ADDITIONAL="vboxvideo"
  13 + #KERNEL_ADDITIONAL="vboxvideo"
14 14 KERNEL_MORE_EXTRAVER=
15 15 fi
16 16  
... ... @@ -22,5 +22,6 @@
22 22 TARGET_HOSTNAME=openmamba-livedvd
23 23 ROOTDEV=/dev/sda1
24 24 ROOTFS=ext3
  25 +# Leave empty definition
25 26 APPLICATION_TARGET=
platforms/rootfs-light/Makefile
1 1 $(MAKEDIST_TARGET)-$(PLATFORM)-arm: \
2   - kernel-iconia kernel-iconia-modules \
3   - kernel-hannspad kernel-hannspad-modules \
4   - kernel-rpi kernel-rpi-modules \
5   - kernel-cubox kernel-cubox-modules \
6   - kernel-mamba-arm kernel-mamba-arm-sound kernel-mamba-arm-wireless \
7   - kernel-mamba-arm-dove kernel-mamba-arm-dove-sound kernel-mamba-arm-dove-wireless \
8   - kernel-sunxi kernel-sunxi-modules u-boot-sunxi-Bananapi \
9 2 brcm_patchram midori u-boot-tools
10 3  
11 4 $(MAKEDIST_TARGET)-$(PLATFORM)-i586: \
... ... @@ -20,7 +13,7 @@
20 13 parted iputils file rootfiles ppp minicom locales mc \
21 14 man-db curl zip unzip iptables iproute wpa_supplicant mtd-utils nfs-utils \
22 15 openssh-clients binutils telnet ftp debianutils diffutils bluez traceroute \
23   - timezone sudo kmod \
  16 + timezone sudo kmod vixie-cron logrotate rsync postfix \
24 17 liblame expect prelink NetworkManager ModemManager NetworkManager-openvpn \
25 18 procps xorg-server x11vnc xkeyboard-config \
26 19 xorg-drv-input-tslib xcursor-transparent-theme rpm smart xdg-utils \
platforms/rootfs/Makefile
... ... @@ -20,7 +20,7 @@
20 20 parted iputils file rootfiles ppp minicom locales mc \
21 21 man-db curl zip unzip iptables iproute wpa_supplicant mtd-utils nfs-utils \
22 22 openssh-clients binutils telnet ftp debianutils diffutils bluez traceroute \
23   - timezone sudo kmod \
  23 + timezone sudo kmod vixie-cron logrotate rsync postfix \
24 24 liblame expect prelink NetworkManager ModemManager procps \
25 25 xorg-server x11vnc xkeyboard-config screen \
26 26 xorg-drv-input-tslib xcursor-transparent-theme rpm smart xdg-utils \